> For the complete documentation index, see [llms.txt](https://docs.launchboard.app/industry-connect-2024/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.launchboard.app/industry-connect-2024/founding-cohort/weekly-sessions/w4-february-2.md).

# W4 February 2 ✓

{% tabs %}
{% tab title="Main" %}

## Agenda

### Reflections and Personal Updates

1. **What have you done/learned?** \
   Recall last week and anything since then.
2. **What are you doing/learning next?**\
   Take a quick look ahead in the program and consider your personal goals.
3. **What roadblocks do you have?**\
   Explain anything that may be hindering your progress.

:heavy\_check\_mark: <mark style="color:red;">**Optional Individual Deliverable: Share anything new you have learned on Slack that may help others.**</mark>

***

### **Breakout into Data Analytics and Robotics**

{% endtab %}

{% tab title="Data Analytics" %}

## Spreadsheets: Functions and Formulas

### Exercise

In this exercise we will practice how to make simple calculations and use functions in spreadsheets to make processing easier. We will continue to use the Google sheet of movie data we created in [the last exercise](/industry-connect-2024/founding-cohort/weekly-sessions/w3-january-26.md).

{% embed url="<https://www.loom.com/share/11056692a75748fc9bb999ebc58866fe?sid=a83b2573-cee7-49d5-9417-f94478278563>" %}

#### Review Last Exercise

1. Open your spreadsheet from the last exercise and review we accomplished.
2. Continue to use your spreadsheet for this exercise. If you missed the last exercise and need to jump into this one, use this link below and make a copy of the template spreadsheet. :link: [Google Sheet with Starter Movie Dataset](https://docs.google.com/spreadsheets/d/1TMioaUtGiuO7iGfUmbd35A3fs760t-lvzKdS74QpOzk/edit?usp=sharing)

#### Using a Formula to Generate a New Column of Data - Profit

1. In the column to the right of the `genres_description` column label the column `profit` for calculating profit.&#x20;
2. In the first cell below the `profit` label, enter a formula for calculating the profit.\
   `=F2-E2`\
   This formula simply subtracts the movie `budget` from the `revenue`.
3. Copy that formula for all rows in our movie table. It is likely that Google Sheets offered to do this for you by asking your approval. If not, you can select the cell you want to copy and drag the corner down to the bottom of the column to quickly fill the rest of the table. There is also a *double-click* trick you can use.
4. That's it. Do a quick check to verify that the calculation is working as you expect on several movies. What other calculations do you think might be useful?

#### Using a Function to Calculate Averages

1. To the right of our table create a label in cell `K1` by entering `All Movies Vote Average`
2. In the cell below our label, `K2`, enter the following function to calculate the average vote for the whole movie dataset: `=AVERAGE(C:C)`\
   There are several ways to do this that we will cover in the demonstration.
3. Let's say we want to find the average vote for all drama movies. Create another label in `L1` and enter `All Dramas Vote Average`.
4. In the cell below this label, `L2`, enter the following function to calculate the average vote for all the dramas in our movie dataset.\
   `=AVERAGEIF(H:H,"*Drama*",C:C)` \
   \
   The `H:H` directs the functions to search the `genres_description` column to look for any movies containing the word "Drama" in the genre. It then averages the `vote_average` column, `C:C`, for matching movies. The `*` is a wildcard that allows the function to accept the word "Drama" even if there is text before or after the word.
5. That's it. Now consider how you would calculate the average for comedies or how you migh find the total revenue for action movies. Discuss how you might do that.

:heavy\_check\_mark: <mark style="color:red;">**Individual Deliverable: Link to your Google Sheet.**</mark>

{% embed url="<https://form.jotform.com/240305096288155>" %}

***

### Review

[Pacing with the Coursera coursework](/industry-connect-2024/founding-cohort/google-data-analytics-pacing.md)

### Reference

{% embed url="<https://support.google.com/docs/table/25273?hl=en/>" %}
{% endtab %}

{% tab title="Robotics" %}

## Working with Patterns / Looping and Logic

### Demo

#### Initializing the Set Up: An Index Variable with Starting Point

1. Manager > Variables
2. *Discuss Data Types*
3. Add a Name and Value (int i = 0)
4. Add a "Set" Node
5. Edit the Set Node - Select Variables > ADD Expression (var\_i = 0)
6. OK ... out
7. Add a Point for our Home Point and Set the Position
8. *Note: Can use Point Manager > Overwrite New Pose to this Point*

#### Adding a Conditional If Statement

1. Add an "If" node
2. Select Variables and Add (+) an Expression
3. Build expression var\_i < 5
4. OK ... out

#### Display var\_x Value and Increment var\_i by 1

1. Add a Display node to the Yes path of If node
2. Edit Display to&#x20;
   * Title: "Index Value"
   * Content: var\_i
3. Add a Set node to increment var\_i by 1 (var\_i =+ 1)

#### Add the Movement and Set Up Loops

1. Add a Move node&#x20;
   * Set Y to 50 mm
   * Base is current robot base
2. Loop from the Move node to the If node
3. Loop the If *no path* back to our initializing Set node

***

### Challenge

1. In groups discuss how you would create a flow to **increment upwards 8 times by 25mm then loop to the beginning.**
2. Program the cobot flow, step-run the flow, and run the flow from the start.
3. Discuss questions and possible adaptions to techniques.

***

### Challenge Bonus

1. In groups discuss how you would create a flow to **move through a checkerboard pattern row by row** with the robot arm.
2. Draw the logical flow on paper.
3. Discuss questions and possible adaptions to techniques.

***

:heavy\_check\_mark: <mark style="color:red;">**Individual Deliverable: Reflection on exercises.**</mark>

{% embed url="<https://form.jotform.com/240304849037152>" %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.launchboard.app/industry-connect-2024/founding-cohort/weekly-sessions/w4-february-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
